catalog.sku.create
Add a SKU to an existing product.
- Scope:
catalog.sku.write - System: no
- Reachable from:
POST /v1/commands/catalog.sku.create(tenant credential) · MCP toolcatalog.sku.create· SDKclient.call('catalog.sku.create', …) - Events:
catalog.sku.created
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "amount": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "code": { "minLength": 1, "type": "string" }, "compare_at_amount": { "anyOf": [ { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, { "type": "null" } ] }, "currency": { "maxLength": 3, "minLength": 3, "type": "string" }, "ean": { "type": "string" }, "is_default": { "type": "boolean" }, "metadata": { "additionalProperties": {}, "propertyNames": { "type": "string" }, "type": "object" }, "name": { "type": "string" }, "option_values": { "items": { "properties": { "option": { "type": "string" }, "value": { "type": "string" } }, "required": [ "option", "value" ], "type": "object" }, "type": "array" }, "product_id": { "minLength": 1, "type": "string" }, "ref": { "type": "string" }, "status": { "type": "string" } }, "required": [ "product_id", "amount" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "sku_id": { "type": "string" } }, "required": [ "sku_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)